#include "AudioSample.h"
#include "AudioSynth.h"
#include "AudioWriter.h"
#include "WasapiInterface.h"

#include "TestFramework.h"

#include <memory>
#include <string>
#ifdef _WIN32
#include <windows.h>
#endif
#include <iostream>

TEST_CASE(TestWriteWav, "audio")
{
    AudioWriter writer;
    writer.SetPath("test.wav");

    AudioSynth synth;
    auto sample = synth.GetSineWave(240, 5);

    writer.Write(sample);
};

TEST_CASE(TestAudioRender, "audio")
{

#ifdef _WIN32
        WasapiInterface audio_interface;
        auto device = AudioDevice::Create();
        audio_interface.Play(device);
#endif
};
