#pragma once

#include "TestCase.h"

#include <vector>
#include <string>

class TestCaseRunner
{
public:
    TestCaseRunner() = default;

    static TestCaseRunner& getInstance()
    {
        static TestCaseRunner instance;
        return instance;
    }

    ~TestCaseRunner();

    void addTestCase(const std::string& label, const std::string& tag, TestCase::TestCaseFunction func);

    bool run();

private:
    std::vector<TestCase*> mCases;
};
